# UpdateReverseSyncRegistration

Update a webhook registration.

`PATCH /api/v2/connector-sync/companies/{companyId}/registrations/{registrationId}`

**API:** AvaTax API
**Tag:** ItemsReverseSync
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/ItemsReverseSync/UpdateReverseSyncRegistration/

## Description

Updates the webhook registration with the provided fields. Only the fields included in the
request body are updated.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, BatchServiceAdmin, CompanyAdmin, CSPTester, SSTAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company that owns this registration. |
| `registrationId` | integer | path | Yes | The ID of the registration to update. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `ItemReverseSyncRegistrationUpdateModel`

Update model for an existing Connector Data Sync (reverse sync) webhook registration.
            
Only the fields included in the request body will be updated.

| Property | Type | Required | Description |
|---|---|---|---|
| `url` | string | No | The webhook callback URL that the connector exposes to receive notifications. Example: `https://someurl/`. |
| `typeName` | string | No | The registration delivery channel (for example, Webhook). Omit to leave the persisted value unchanged. Values: `Webhook`. Example: `Webhook`. |
| `events` | string | No | The list of events this registration subscribes to. Values: `HSCodeAssigned`. Example: `HSCodeAssigned`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success. Returns the updated webhook registration. | `ItemReverseSyncRegistrationOutputModel` |
| 400 | Bad request. The request is invalid. |  |
| 401 | Unauthorized. Authentication failed or was not provided. |  |
| 404 | Not found. The requested resource was not found. |  |

### 200 Response: `ItemReverseSyncRegistrationOutputModel`

Output model representing a Connector Data Sync (reverse sync) webhook registration.

| Property | Type | Required | Description |
|---|---|---|---|
| `registrationId` | integer | No | The unique identifier for this registration. Example: `1`. |
| `connectorName` | string | No | The connector name. This value is also used as the OAuth scope for the registration. Example: `big-commerce`. |
| `companyId` | integer | No | The Avalara company identifier that owns this registration. Example: `7755785`. |
| `url` | string | No | The webhook callback URL that the connector exposes to receive notifications. Example: `https://someurl/`. |
| `typeName` | string | No | The registration delivery channel (for example, Webhook). Values: `Webhook`. Example: `Webhook`. |
| `isActive` | boolean | No | Indicates whether this registration is currently active. Example: `true`. |
| `events` | string | No | The list of events this registration subscribes to. Values: `HSCodeAssigned`. Example: `HSCodeAssigned`. |
| `modifiedDate` | string | No | The date and time when this record was last modified. Example: `2026-07-02T04:05:13.5847944Z`. |
| `modifiedUserId` | integer | No | The user ID who last modified this record. Example: `1234`. |
| `createdDate` | string | No | The date and time when this record was created. Example: `2026-07-02T04:05:13.5848204Z`. |
| `createdUserId` | integer | No | The user ID who created this record. Example: `1234`. |

## Example Request

```bash
curl -X PATCH "https://sandbox-rest.avatax.com/api/v2/connector-sync/companies/{companyId}/registrations/{registrationId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "url": "https://someurl/",
  "typeName": "Webhook",
  "events": [
    "HSCodeAssigned"
  ]
}'
```